summaryrefslogtreecommitdiff
path: root/db-4.8.30/test/scr029/chk.get
diff options
context:
space:
mode:
authorJesse Morgan <jesse@jesterpm.net>2016-12-17 21:28:53 -0800
committerJesse Morgan <jesse@jesterpm.net>2016-12-17 21:28:53 -0800
commit54df2afaa61c6a03cbb4a33c9b90fa572b6d07b8 (patch)
tree18147b92b969d25ffbe61935fb63035cac820dd0 /db-4.8.30/test/scr029/chk.get
Berkeley DB 4.8 with rust build script for linux.
Diffstat (limited to 'db-4.8.30/test/scr029/chk.get')
-rw-r--r--db-4.8.30/test/scr029/chk.get29
1 files changed, 29 insertions, 0 deletions
diff --git a/db-4.8.30/test/scr029/chk.get b/db-4.8.30/test/scr029/chk.get
new file mode 100644
index 0000000..ce56e9a
--- /dev/null
+++ b/db-4.8.30/test/scr029/chk.get
@@ -0,0 +1,29 @@
+#!/bin/sh -
+#
+# $Id$
+#
+# Build a program that calls the getters.
+
+[ -f ../libdb.a ] || (cd .. && make libdb.a) || {
+ echo 'FAIL: unable to find or build libdb.a'
+ exit 1
+}
+
+CINC=-I..
+[ `uname` = "Linux" ] && CINC="$CINC -pthread"
+
+if cc -g -Wall $CINC t.c ../libdb.a -o t; then
+ :
+else
+ echo "FAIL: unable to compile test program t.c"
+ exit 1
+fi
+
+if ./t; then
+ :
+else
+ echo "FAIL: test program failed"
+ exit 1
+fi
+
+exit 0